[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# FindControl

Find the Handle for the specified Control

## Declaration

Source position: controls.pp line 2264

`function FindControl(`
`Handle: hwnd`
`):TWinControl;`

## Description

FindControl

Returns the TWinControl associated with the Handle.

This is very interface specific. Better use FindOwnerControl.

Handle can also be a child handle, and does not need to be the Handle property of the Result.

IMPORTANT: So, in most cases: Result.Handle <> Handle in the params.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.